# PS: čárka na konci nevadí
with (
    open('prvky.1.csv', mode='tw', encoding='utf-8') as f_out,
    open('prvky.1.txt', mode='tr', encoding='utf-8') as f_in,
):
    # hlavička
    # ~ Při použití 'write()' nezapomeňte na '\n'!
    f_out.write('symbol;A;ord;en;els;valency\n')
    # zpracování řádku po řádce
    for line in f_in:
        symbol, A, ord, en, els, valency = line.strip().split(';')
        # pročištění
        symbol = symbol.strip('"')
        A = A.strip()
        ord = ord.split(':')[-1].strip()
        en = en.split(':')[-1].strip()
        els = els.split(':')[-1].strip()
        valency = valency.split(':')[-1].strip()
        # zápis do souboru
        print(symbol, A, ord, en, els, valency, sep=';', file=f_out)
